<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_16"
            android:layout_marginEnd="@dimen/dp_16"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/mTitle"
                android:layout_width="297dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="心率"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_15"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tvInto"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableEnd="@mipmap/ic_app_time"
                android:drawablePadding="@dimen/dp_4"
                android:text="查看异常"
                android:textColor="@color/col_02c"
                android:textSize="@dimen/sp_13"
                tools:ignore="UseCompatTextViewDrawableXml" />

        </LinearLayout>

        <com.xty.common.weight.MyProgressCircleView
            android:id="@+id/mCircle"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_140"
            android:layout_marginTop="@dimen/dp_9"
            android:layout_marginEnd="@dimen/dp_9"
            android:paddingTop="@dimen/dp_5"
            android:paddingEnd="@dimen/dp_6"
            android:paddingBottom="@dimen/dp_5"
            app:circle_stroke_width="@dimen/dp_16"
            app:count="3"
            app:example_length="@dimen/dp_1"
            app:example_size="@dimen/dp_5"
            app:percent_size="@dimen/sp_12" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_14"
            android:layout_marginEnd="@dimen/dp_16"
            android:background="@color/col_0F2_63"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_marginEnd="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_14"
                android:orientation="horizontal"
                android:weightSum="3">

                <TextView
                    android:id="@+id/tvOne"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:text="累计：1天" />

                <TextView
                    android:id="@+id/tvTwo"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="2"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintStart_toEndOf="@+id/tvOne"
                    app:layout_constraintBottom_toBottomOf="@+id/tvOne"
                    app:layout_constraintTop_toTopOf="@+id/tvOne"
                    tools:text="时长：7小时" />

            </LinearLayout>

            <View
                android:id="@+id/vLine1"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_14"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tvOne"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_marginEnd="@dimen/dp_10"
                android:weightSum="3"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tvThree"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintTop_toBottomOf="@+id/vLine1"
                    app:layout_constraintStart_toStartOf="@+id/tvOne"
                    tools:text="平均：8.6小时" />

                <TextView
                    android:id="@+id/tvFour"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintBottom_toBottomOf="@+id/tvThree"
                    app:layout_constraintStart_toStartOf="@+id/tvTwo"
                    app:layout_constraintTop_toTopOf="@+id/tvThree"
                    tools:text="最短：7.6小时" />

                <TextView
                    android:id="@+id/tvFive"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintStart_toEndOf="@+id/tvFour"
                    app:layout_constraintBottom_toBottomOf="@+id/tvFour"
                    app:layout_constraintTop_toTopOf="@+id/tvFour"
                    tools:text="最长：10.6小时" />

            </LinearLayout>

            <View
                android:id="@+id/vLine2"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_14"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tvThree"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_marginEnd="@dimen/dp_10">

                <TextView
                    android:id="@+id/tvSix"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintTop_toBottomOf="@+id/vLine2"
                    app:layout_constraintStart_toStartOf="@+id/tvThree"
                    tools:text="平均深睡：10.6小时" />

                <TextView
                    android:id="@+id/tvSeven"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_18"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintTop_toTopOf="@+id/tvSix"
                    app:layout_constraintBottom_toBottomOf="@+id/tvSix"
                    app:layout_constraintStart_toEndOf="@+id/tvSix"
                    tools:text="平均浅睡：10.6小时" />

            </LinearLayout>

            <View
                android:id="@+id/vLine3"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_14"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tvSix"/>

        </LinearLayout>

<!--        <androidx.constraintlayout.widget.ConstraintLayout-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:layout_marginStart="@dimen/dp_16"-->
<!--            android:layout_marginTop="@dimen/dp_14"-->
<!--            android:layout_marginEnd="@dimen/dp_16"-->
<!--            android:background="@color/col_0F2_63">-->

<!--            <TextView-->
<!--                android:id="@+id/tvOne"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_marginStart="@dimen/dp_8"-->
<!--                android:layout_marginTop="@dimen/dp_14"-->
<!--                android:textColor="@color/col_7c7"-->
<!--                android:textSize="@dimen/sp_12"-->
<!--                app:layout_constraintStart_toStartOf="parent"-->
<!--                app:layout_constraintTop_toTopOf="parent"-->
<!--                tools:text="累计：1天" />-->

<!--            <TextView-->
<!--                android:id="@+id/tvTwo"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_marginStart="@dimen/dp_61"-->
<!--                android:textColor="@color/col_7c7"-->
<!--                android:textSize="@dimen/sp_12"-->
<!--                app:layout_constraintStart_toEndOf="@+id/tvOne"-->
<!--                app:layout_constraintBottom_toBottomOf="@+id/tvOne"-->
<!--                app:layout_constraintTop_toTopOf="@+id/tvOne"-->
<!--                tools:text="时长：7小时" />-->

<!--            <View-->
<!--                android:id="@+id/vLine1"-->
<!--                android:layout_width="0dp"-->
<!--                android:layout_height="@dimen/dp_14"-->
<!--                app:layout_constraintStart_toStartOf="parent"-->
<!--                app:layout_constraintTop_toBottomOf="@+id/tvOne"/>-->

<!--            <TextView-->
<!--                android:id="@+id/tvThree"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:textColor="@color/col_7c7"-->
<!--                android:textSize="@dimen/sp_12"-->
<!--                app:layout_constraintTop_toBottomOf="@+id/vLine1"-->
<!--                app:layout_constraintStart_toStartOf="@+id/tvOne"-->
<!--                tools:text="平均：8.6小时" />-->

<!--            <TextView-->
<!--                android:id="@+id/tvFour"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:textColor="@color/col_7c7"-->
<!--                android:textSize="@dimen/sp_12"-->
<!--                app:layout_constraintBottom_toBottomOf="@+id/tvThree"-->
<!--                app:layout_constraintStart_toStartOf="@+id/tvTwo"-->
<!--                app:layout_constraintTop_toTopOf="@+id/tvThree"-->
<!--                tools:text="最短：7.6小时" />-->

<!--            <TextView-->
<!--                android:id="@+id/tvFive"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_marginStart="@dimen/dp_28"-->
<!--                android:textColor="@color/col_7c7"-->
<!--                android:textSize="@dimen/sp_12"-->
<!--                app:layout_constraintStart_toEndOf="@+id/tvFour"-->
<!--                app:layout_constraintBottom_toBottomOf="@+id/tvFour"-->
<!--                app:layout_constraintTop_toTopOf="@+id/tvFour"-->
<!--                tools:text="最长：10.6小时" />-->

<!--            <View-->
<!--                android:id="@+id/vLine2"-->
<!--                android:layout_width="0dp"-->
<!--                android:layout_height="@dimen/dp_14"-->
<!--                app:layout_constraintStart_toStartOf="parent"-->
<!--                app:layout_constraintTop_toBottomOf="@+id/tvThree"/>-->

<!--            <TextView-->
<!--                android:id="@+id/tvSix"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:textColor="@color/col_7c7"-->
<!--                android:textSize="@dimen/sp_12"-->
<!--                app:layout_constraintTop_toBottomOf="@+id/vLine2"-->
<!--                app:layout_constraintStart_toStartOf="@+id/tvThree"-->
<!--                tools:text="平均深睡：10.6小时" />-->

<!--            <TextView-->
<!--                android:id="@+id/tvSeven"-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_marginStart="@dimen/dp_18"-->
<!--                android:textColor="@color/col_7c7"-->
<!--                android:textSize="@dimen/sp_12"-->
<!--                app:layout_constraintTop_toTopOf="@+id/tvSix"-->
<!--                app:layout_constraintBottom_toBottomOf="@+id/tvSix"-->
<!--                app:layout_constraintStart_toEndOf="@+id/tvSix"-->
<!--                tools:text="平均浅睡：10.6小时" />-->

<!--            <View-->
<!--                android:id="@+id/vLine3"-->
<!--                android:layout_width="0dp"-->
<!--                android:layout_height="@dimen/dp_14"-->
<!--                app:layout_constraintStart_toStartOf="parent"-->
<!--                app:layout_constraintTop_toBottomOf="@+id/tvSix"/>-->

<!--        </androidx.constraintlayout.widget.ConstraintLayout>-->

    </LinearLayout>

</LinearLayout>